summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKipras Melnikovas2019-11-02 00:45:08 +0200
committerKipras Melnikovas2019-11-02 00:45:08 +0200
commitbff7cd00b8584f6b40ead78483b78c61c7c9ff3a (patch)
tree75317f0db3a2bf8b8bde1c8020d0e0e2fbae8372
parentb88afb8027847629be008efc36393a73bf289718 (diff)
downloadaur-bff7cd00b8584f6b40ead78483b78c61c7c9ff3a.tar.gz
Create a basic `update` script
Signed-off-by: Kipras Melnikovas <kipras@kipras.org>
-rwxr-xr-xupdate17
1 files changed, 17 insertions, 0 deletions
diff --git a/update b/update
new file mode 100755
index 000000000000..27ef9b172057
--- /dev/null
+++ b/update
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+if [ -n "$(git status --porcelain)" ]; then
+ printf "Working directory NOT clean - exiting\n"
+ exit 1
+fi
+
+makepkg -CcLfs
+makepkg --printsrcinfo > ".SRCINFO"
+
+git add .
+if git commit -m "Update"; then
+ git show HEAD
+ printf "\n push changes when you're ready:\n"
+ printf "git push\n"
+fi
+